Subject: Re: GUI/CLI mail client (was Re: [linux-elitists] What's some
From: Nick Moffitt <[email-masked]>
To: [email-masked]

marketing
+buzzwords for what we do?)
Date: Wed, 1 Jan 2003 12:01:10 -0800

begin  Rick Moen Lives Three Hours from Nowhere  quotation:

> In a minority of such cases, screen won't yet have noticed that
> you're gone:
> 
> [rick@uncle-enzo]
> ~ $ screen -r
> There is a screen on:
>         8672.pts-0.uncle-enzo   (Attached)  
> There is no screen to be resumed.
> [rick@uncle-enzo]
> 
> In that case, you detach it manually (screen -d), then reattach
> (screen -r).

        I always just run "screen -r -d" as a matter of habit.  I
actually ssh into zork twice on identically-sized xterms and run
"screen -r -d" in one (for mail) and "screen -x" in the other (for
IRC).  I ^An and ^Ap around to get to shells in whichever window
doesn't have something of immediate concern to me at the moment.

        One of zork's users wrote the following keen script to turn
nwall (apt-cache show nwall) into a split-screen chat app:

#!/usr/bin/screen -mc
# Nate's IRC (not actually an IRC client)
# nirc is a screen config file that slaps an IRC-like interface on nwall
escape ^yy
split
screen bash -c 'nwall -y; bash'
focus
resize 3
screen bash -c 'mesg n; nwall -s'

        It works a charm, but it does make for more work at the
command line sometimes if you run it and another screen session at the
same time (I often run it inside one of the screen windows, hence the
"escape ^yy").

-- 
A: No.
Q: Should I include quotations after my reply?

From: Adam Lazur <[email-masked]>
To: [email-masked]
Subject: Re: GUI/CLI mail client (was Re: [linux-elitists] What's some
marketing
+buzzwords for what we do?)
Date: Wed, 1 Jan 2003 17:46:49 -0500

Nick Moffitt ([email-masked]) said:
>       I always just run "screen -r -d" as a matter of habit.  I
> actually ssh into zork twice on identically-sized xterms and run
> "screen -r -d" in one (for mail) and "screen -x" in the other (for
> IRC).  I ^An and ^Ap around to get to shells in whichever window              
> doesn't have something of immediate concern to me at the moment.              

FWIW, I use "screen -A -x -RR" as the DWIM screen commandline.                  

It attaches to a screen session if one exists, otherwise it starts up a
new session. (NOTE: b/c the screen cmdline parser is buggy, the order of        
the options matters). Used in combination with a shell alias or wrapper
script, it becomes a simple way to always maintain a single screen
session on each host.